Skip to main content
GET
/
v1
/
scrape
/
google-ad-library
/
company-ads
Company Ads
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/google-ad-library/company-ads \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.sociavault.com/v1/scrape/google-ad-library/company-ads"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.sociavault.com/v1/scrape/google-ad-library/company-ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "success": true,
    "ads": {
      "0": {
        "advertiserId": "AR01614014350098432001",
        "creativeId": "CR16304891583101140993",
        "format": "image",
        "adUrl": "https://adstransparency.google.com/advertiser/AR01614014350098432001/creative/CR16304891583101140993",
        "advertiserName": "lululemon athletica canada inc.",
        "domain": "lululemon.com",
        "imageUrl": null,
        "firstShown": "2026-01-13T21:55:14.000Z",
        "lastShown": "2026-02-08T23:43:47.000Z"
      }
    },
    "cursor": "CgoAP7zm1p%2BmCBpjEhBHJahAmRTF8HhdvzwAAAAAGgn8%2BH7I%2BNOQAlw%3D"
  },
  "creditsUsed": 1
}
{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}
{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}
{
"error": "Insufficient credits",
"required": 1,
"available": 0
}
{
"error": "Service configuration error"
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

domain
string

The domain of the company

Example:

"lululemon.com"

advertiser_id
string

The advertiser id of the company

Example:

"AR01614014350098432001"

topic
enum<string>

The topic to search for. If you search for 'political', you will also need to pass a 'region', like 'US' or 'AU'

Available options:
all,
political
Example:

"all"

region
string

The region to search for. Defaults to anywhere

Example:

"US"

start_date
string

Start date to search for. Format: YYYY-MM-DD

Example:

"2025-08-01"

end_date
string

End date to search for. Format: YYYY-MM-DD

Example:

"2025-08-11"

cursor
string

Cursor to paginate through results

Example:

"CgoAP7znOo9RPjf%2FEhD5utgx8m75NrTTbU0AAAAAGgn8%2BJyW%2BJQK40A%3D"

Response

Successful response

Key Response Fields:

  • ads[0].advertiserId: Unique advertiser identifier (e.g. AR01614014350098432001)
  • ads[0].creativeId: Unique creative identifier (e.g. CR16304891583101140993)
  • ads[0].format: Ad format type (image, video, text)
  • ads[0].adUrl: Direct link to the ad on Google Ads Transparency
  • ads[0].advertiserName: Display name of the advertiser
  • ads[0].domain: Advertiser's domain (e.g. lululemon.com)
  • ads[0].imageUrl: URL of the ad's image (may be null)
  • ads[0].firstShown: ISO 8601 timestamp of when the ad first ran
  • ads[0].lastShown: ISO 8601 timestamp of when the ad last ran
  • cursor: Opaque token to paginate to the next page of results